import { useState } from 'react';
import { extractFormData } from '../utils';

export const useForm = (initialFormData: any, formik: boolean = false) => {
  const [formData, setFormData] = useState<any>(initialFormData);

  if (formik) {
    return [formData, (values: any) => setFormData(values)];
  }

  return [
    formData,
    ({ currentTarget }: any) => setFormData(extractFormData(currentTarget))
  ];
};
